package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.encryption.TCoreEncryptionTypeField;
import java.util.List;

public interface SwitchFieldService {
   List<TCoreEncryptionTypeField> switchFieldAfterEncryption(String projectId, String dataSystemId, String schema, String tableName, StringBuilder msg);

   List<TCoreEncryptionTypeField> switchFieldAfterDecryption(String projectId, String dataSystemId, String schema, String tableName, StringBuilder msg);

   void switchFieldEncryptionProject(String projectId);

   void switchFieldDecryptionProject(String projectId);

   void addColumn(String dataSystemId, String schema, String tableName, String columnName, String columnType, String columnSize);

   String delTableColumn(String projectId, String dataSystemId, String schema, String tableName);

   String newDelTableColumn(String projectId, String dataSystemId, String schema, String tableName);

   String delBatchTableColumn(String projectId);

   String newDelBatchTableColumn(String projectId);
}
